<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="#F3F4F5">

    <RelativeLayout
        android:id="@+id/id_rl_title"
        android:layout_width="match_parent"
        android:layout_height="80dp"
        android:background="@color/white">

        <ImageView
            android:id="@+id/id_img_back"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:padding="16dp"
            android:src="@drawable/icon_fanhui" />

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginBottom="15dp"
            android:text="话费充值"
            android:textColor="@color/color_333333"
            android:textSize="16sp"
            android:textStyle="bold" />
    </RelativeLayout>

    <androidx.core.widget.NestedScrollView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@+id/id_rl_title">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="vertical"
            android:padding="16dp">

            <com.zxbw.modulemain.view.MarqueTextView
                android:id="@+id/id_tv_recharge_desc"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:singleLine="true"
                android:visibility="gone"
                android:layout_marginBottom="10dp"
                android:textColor="#FF0000"
                android:marqueeRepeatLimit="marquee_forever"
                android:ellipsize="marquee"
                android:text=""
                android:textSize="20sp" />


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="10dp"
                    android:text="充值手机号"
                    android:textColor="@color/color_333333"
                    android:textSize="16sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="（请确保准确无误）"
                    android:textColor="@color/color_999999"
                    android:textSize="12sp" />
            </LinearLayout>

            <EditText
                android:id="@+id/id_edit_user_phone"
                android:layout_width="match_parent"
                android:layout_height="44dp"
                android:layout_marginTop="16dp"
                android:layout_marginBottom="16dp"
                android:background="@drawable/shape_ffffff_r6"
                android:inputType="phone"
                android:lines="1"
                android:maxLength="11"
                android:padding="10dp"
                android:textColor="@color/color_999999"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="16sp" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rl_yunyingshang"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content" />

            <RelativeLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content">

                <ImageView
                    android:id="@+id/id_img_huafei_bg"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:adjustViewBounds="true"
                    android:src="@drawable/bg_huafei_lijian" />

                <TextView
                    android:id="@+id/id_tv_huafei_jian"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="10dp"
                    android:drawableLeft="@drawable/icon_shengyin"
                    android:drawablePadding="16dp"
                    android:text="话费立减金"
                    android:textColor="#F8E8CC"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/id_tv_huafei_jian"
                    android:layout_marginLeft="10dp"
                    android:layout_marginTop="5dp"
                    android:text="（可叠加抵扣金使用）"
                    android:textColor="#D6D6D6"
                    android:textSize="12sp" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_alignParentRight="true"
                    android:layout_marginTop="30dp"
                    android:layout_marginRight="10dp"
                    android:text="支持电信/移动/联通用户"
                    android:textColor="#D6D6D6"
                    android:textSize="12sp" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_below="@+id/id_img_huafei_bg"
                    android:layout_marginTop="-10dp"
                    android:background="@drawable/shape_ffffff_r6"
                    android:orientation="vertical"
                    android:paddingBottom="16dp">

                    <RelativeLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_margin="10dp"
                        android:background="@drawable/shape_f6f9ff_r6"
                        android:padding="12dp">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:text="优惠券"
                            android:textColor="@color/color_333333"
                            android:textSize="14sp" />

                        <TextView
                            android:id="@+id/id_tv_select_coupons"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_alignParentRight="true"
                            android:layout_centerVertical="true"
                            android:drawableRight="@drawable/icon_fanhui_chengse"
                            android:drawablePadding="4dp"
                            android:gravity="center_vertical"
                            android:textColor="#C46B00"
                            android:textSize="12sp" />
                    </RelativeLayout>

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/id_rl_recharge"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="5dp" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="16dp"
                        android:layout_marginBottom="16dp"
                        android:gravity="center"
                        android:orientation="horizontal"
                        android:visibility="gone">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawableLeft="@drawable/icon_dingdanchaxun"
                            android:drawablePadding="4dp"
                            android:text="订单查询"
                            android:textColor="#B4B4B4"
                            android:textSize="10sp" />

                        <TextView
                            android:layout_width="1dp"
                            android:layout_height="15dp"
                            android:layout_marginLeft="32dp"
                            android:layout_marginRight="32dp"
                            android:background="#B4B4B4"
                            android:text="|" />

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:drawableLeft="@drawable/icon_kefu_new_hui"
                            android:drawablePadding="4dp"
                            android:text="客服帮助"
                            android:textColor="#B4B4B4"
                            android:textSize="10sp" />
                    </LinearLayout>

                </LinearLayout>
            </RelativeLayout>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/id_rcl_payment_list"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"/>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                android:background="@drawable/shape_ffffff_r6"
                android:orientation="vertical"
                android:paddingLeft="12dp"
                android:paddingRight="12dp"
                android:paddingBottom="16dp">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="16dp"
                    android:layout_marginBottom="16dp"
                    android:gravity="center">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/icon_left" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginLeft="4dp"
                        android:layout_marginRight="4dp"
                        android:text="温馨提示"
                        android:textColor="@color/color_333333"
                        android:textSize="20sp"
                        android:textStyle="bold" />

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:src="@drawable/icon_right" />
                </LinearLayout>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="@string/huafei_desc1"
                    android:textColor="#BA7E36"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:text="@string/huafei_desc3"
                    android:textColor="#BA7E36"
                    android:textSize="16sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="10dp"
                    android:layout_marginBottom="82dp"
                    android:text="@string/huafei_desc2"
                    android:textColor="@color/color_999999"
                    android:textSize="16sp"
                    android:textStyle="bold" />
            </LinearLayout>
        </LinearLayout>

    </androidx.core.widget.NestedScrollView>

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="72dp"
        android:layout_alignParentBottom="true"
        android:background="@color/white"
        android:gravity="center_vertical"
        android:paddingLeft="16dp"
        android:paddingRight="16dp">

        <LinearLayout
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:layout_marginRight="30dp"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="4dp"
                    android:includeFontPadding="false"
                    android:text="券后价"
                    android:textColor="@color/color_666666"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginRight="2dp"
                    android:includeFontPadding="false"
                    android:text="¥ "
                    android:textColor="#BA7E36"
                    android:textSize="14sp"
                    android:textStyle="bold" />

                <TextView
                    android:id="@+id/id_tv_cash"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:includeFontPadding="false"
                    android:text=""
                    android:textColor="#BA7E36"
                    android:textSize="28sp"
                    android:textStyle="bold" />
            </LinearLayout>

            <TextView
                android:id="@+id/id_tv_orgin_price"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="27dp"
                android:layout_marginTop="2dp"
                android:text="原价 ¥100"
                android:textColor="@color/color_999999"
                android:textSize="12sp" />
        </LinearLayout>

        <TextView
            android:id="@+id/id_tv_chongzhi"
            android:layout_width="0dp"
            android:layout_height="48dp"
            android:layout_weight="1"
            android:background="@drawable/shape_333333_r20"
            android:gravity="center"
            android:text="立即充值"
            android:textColor="#F8E8CC"
            android:textSize="16sp"
            android:textStyle="bold" />
    </LinearLayout>

    <RelativeLayout
        android:id="@+id/id_rl_h5_pay_view"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_marginTop="50dp"
        android:visibility="gone">

        <WebView
            android:id="@+id/id_rights_pay_web_view"
            android:layout_width="match_parent"
            android:layout_height="match_parent" />

        <ImageView
            android:id="@+id/id_img_close_pay_web"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignRight="@id/id_rights_pay_web_view"
            android:padding="10dp"
            android:src="@drawable/icon_guanbi" />

    </RelativeLayout>

</RelativeLayout>
